<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: SmarActActuatorSystem.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SmarActActuatorSystem.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="SmarActActuatorSystem_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/* </span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * File:   SmarActRobot.hpp</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Author: huflejt</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * Created on November 5, 2012, 6:11 PM</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef SMARACTACTUATORSYSTEM_HPP</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor"></span><span class="preprocessor">#define SMARACTACTUATORSYSTEM_HPP</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//#include &quot;ZaberCommander.h&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="ActuatorSystem_8hpp.html">ActuatorSystem.hpp</a>&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">//#include &quot;SmarActCommander.hpp&quot;//not needed</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="SmarActActuatorAxis_8hpp.html">SmarActActuatorAxis.hpp</a>&quot;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="MeasurementState_8hpp.html">MeasurementState.hpp</a>&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="StateManager_8hpp.html">StateManager.hpp</a>&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;exception&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &quot;QMap&quot;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="classSmarActActuatorSystem.html">SmarActActuatorSystem</a> : <span class="keyword">public</span> <a class="code" href="classActuatorSystem.html">ActuatorSystem</a>{</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="classSmarActActuatorSystem.html#aca340280e343e04d895d0cd69eda8431">SmarActActuatorSystem</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> systemID, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> localSystemID);</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="comment">/*SmarActRobot(const SmarActRobot&amp; orig);*/</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classSmarActActuatorSystem.html#a75272158e4c9eceab26026aa25e26739">~SmarActActuatorSystem</a>();</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;   <span class="comment">// bool Init(int acceleration);        </span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;   <span class="comment">// bool GetPosition(int axis, int&amp; position);</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;   <span class="comment">// bool UpdateRobotState();        </span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="comment">//  bool InitSystem();</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="comment">//  bool UpdateRobotState(int axis);</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="comment">//bool GotoPositionAbsolute(int axis, int position);</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="comment">//bool GotoPosition(int axis, int targetPosition);//TODO: this is wrong</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="comment">//bool Goto(int axisID, double positionMicrons);</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">/*    int errorCount()</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment">        {</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">                return _errorCount;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment">        };</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="comment">//QMap&lt;SA_STATUS, QString&gt; StatusMap;</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="comment">//static QMap&lt;SA_STATUS, QString&gt; InitializeStatusMap();</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="comment">//SmarActCommander commander;</span></div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html#a7a8d81503c4d40477aa366f250e87cf4">   43</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="classSmarActActuatorSystem.html#a7a8d81503c4d40477aa366f250e87cf4">microstepSize</a>;        </div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html#a550e17d182c59b61fe301e6d826c279c">   44</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorSystem.html#a550e17d182c59b61fe301e6d826c279c">_fieldIdPositionMicrons0</a>;</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html#a2857292850b5b8d109f33f86027681c2">   45</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorSystem.html#a2857292850b5b8d109f33f86027681c2">_fieldIdPositionMicrons1</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html#a431f5e7de84f31600cb748a00986f16a">   46</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorSystem.html#a431f5e7de84f31600cb748a00986f16a">_fieldIdPositionMicrons2</a>;</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html#ad6f77a597f774f7f6dcb79d9d35e96a0">   47</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorSystem.html#ad6f77a597f774f7f6dcb79d9d35e96a0">_fieldIdCrystalState0</a>;</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html#ad27804fe6f34353654c4e572ee68ee4c">   48</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorSystem.html#ad27804fe6f34353654c4e572ee68ee4c">_fieldIdCrystalState1</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html#a87d5e9244324e71df6f620091c2b95d5">   49</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorSystem.html#a87d5e9244324e71df6f620091c2b95d5">_fieldIdCrystalState2</a>;</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="code" href="classSmarActActuatorSystem.html#af758d364c941727812c37557dfa92ba4">   50</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorSystem.html#af758d364c941727812c37557dfa92ba4">_errorCount</a>;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;};</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif  </span><span class="comment">/* SMARACTROBOT_HPP */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
